## r-cran-git2r 0.21.0

=== DESCRIPTION ===
Package: git2r
Title: Provides Access to Git Repositories
Description: Interface to the 'libgit2' library, which is a pure C
    implementation of the 'Git' core methods. Provides access to 'Git'
    repositories to extract data and running some basic 'Git'
    commands.
Version: 0.21.0
License: GPL-2
Copyright: See COPYRIGHTS file.
URL: https://github.com/ropensci/git2r
BugReports: https://github.com/ropensci/git2r/issues
Maintainer: Stefan Widgren <stefan.widgren@gmail.com>
Author: See AUTHORS file.
Imports: graphics, utils
Depends: R (>= 3.1), methods
Suggests: getPass
Type: Package
LazyData: true
Biarch: true
NeedsCompilation: yes
SystemRequirements: zlib headers and library. OpenSSL headers and
        library. LibSSH2 (optional on non-Windows) to enable the SSH
        transport.
Collate: 'S4_classes.r' 'blame.r' 'blob.r' 'branch.r'
        'bundle_r_package.r' 'checkout.r' 'commit.r' 'config.r'
        'contributions.r' 'credential.r' 'diff.r' 'fetch.r' 'git2r.r'
        'index.r' 'libgit2.r' 'merge.r' 'note.r' 'odb.r' 'plot.r'
        'pull.r' 'punch_card.r' 'refspec.r' 'push.r' 'reference.r'
        'reflog.r' 'remote.r' 'repository.r' 'reset.r' 'revparse.r'
        'signature.r' 'stash.r' 'status.r' 'tag.r' 'time.r' 'tree.r'
        'when.r'
RoxygenNote: 6.0.1
Packaged: 2018-01-03 21:29:02 UTC; stefan
Repository: CRAN
Date/Publication: 2018-01-04 16:50:12 UTC

=== debian/changelog ===
r-cran-git2r (0.21.0-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:52:37 +0000

r-cran-git2r (0.21.0-1) unstable; urgency=medium

  * Initial release (closes: #886815)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2018 10:33:31 +0100

=== debian/control ===
Source: r-cran-git2r
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               libssl-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
Homepage: https://cran.r-project.org/package=git2r

Package: r-cran-git2r
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R access to Git repositories
 This GNU R package provides an interface to the libgit2 library, which is
 a pure C implementation of the Git core methods. Provides access to Git
 repositories to extract data and running some basic Git commands.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/git2r_([-\d.]*)\.tar\.gz

## r-cran-git2r 0.23.0

=== debian/changelog ===
r-cran-git2r (0.23.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 22 Jul 2018 02:38:41 +0200

r-cran-git2r (0.22.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2018 09:06:29 +0200

r-cran-git2r (0.21.0-2) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 07:06:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: r-cran-git2r
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                libssl-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
 Homepage: https://cran.r-project.org/package=git2r

## r-cran-git2r 0.24.0

=== debian/changelog ===
r-cran-git2r (0.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright
  * Add Build-Depends: libssh2-1-dev and zlib1g-dev

 -- Dylan Aïssi <daissi@debian.org>  Sat, 12 Jan 2019 09:32:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               libssl-dev
-Standards-Version: 4.1.5
+               libssl-dev,
+               libssh2-1-dev,
+               zlib1g-dev
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
 Homepage: https://cran.r-project.org/package=git2r

## r-cran-git2r 0.26.1

=== DESCRIPTION ===
Package: git2r
Title: Provides Access to Git Repositories
Description: Interface to the 'libgit2' library, which is a pure C
    implementation of the 'Git' core methods. Provides access to 'Git'
    repositories to extract data and running some basic 'Git'
    commands.
Version: 0.26.1
License: GPL-2
Copyright: See COPYRIGHTS file.
URL: https://github.com/ropensci/git2r
BugReports: https://github.com/ropensci/git2r/issues
Maintainer: Stefan Widgren <stefan.widgren@gmail.com>
Author: See AUTHORS file.
Imports: graphics, utils
Depends: R (>= 3.1)
Suggests: getPass
Type: Package
LazyData: true
Biarch: true
NeedsCompilation: yes
SystemRequirements: By default, git2r uses a system installation of the
        libgit2 headers and library. However, if a system installation
        is not available, builds and uses a bundled version of the
        libgit2 source. zlib headers and library. OpenSSL headers and
        library (non-macOS). LibSSH2 (optional on non-Windows) to
        enable the SSH transport.
Collate: 'blame.R' 'blob.R' 'branch.R' 'bundle_r_package.R'
        'checkout.R' 'commit.R' 'config.R' 'contributions.R'
        'credential.R' 'diff.R' 'fetch.R' 'git2r.R' 'index.R'
        'libgit2.R' 'merge.R' 'note.R' 'odb.R' 'plot.R' 'pull.R'
        'punch_card.R' 'push.R' 'reference.R' 'reflog.R' 'refspec.R'
        'remote.R' 'repository.R' 'reset.R' 'revparse.R' 'sha.R'
        'signature.R' 'stash.R' 'status.R' 'tag.R' 'time.R' 'tree.R'
        'when.R'
Encoding: UTF-8
RoxygenNote: 6.1.1
Packaged: 2019-06-29 21:17:13 UTC; stefan
Repository: CRAN
Date/Publication: 2019-06-29 22:50:26 UTC

=== debian/changelog ===
r-cran-git2r (0.26.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 21:49:56 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libssl-dev,
                libssh2-1-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
 Homepage: https://cran.r-project.org/package=git2r

## r-cran-git2r 0.27.1

=== debian/changelog ===
r-cran-git2r (0.27.1-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:03:15 +0000

r-cran-git2r (0.27.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 May 2020 10:57:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                libssl-dev,
                libssh2-1-dev,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
 Homepage: https://cran.r-project.org/package=git2r
+Rules-Requires-Root: no
 
 Package: r-cran-git2r
 Architecture: any

## r-cran-git2r 0.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -4,10 +4,11 @@
     implementation of the 'Git' core methods. Provides access to 'Git'
     repositories to extract data and running some basic 'Git'
     commands.
-Version: 0.26.1
+Version: 0.28.0
 License: GPL-2
 Copyright: See COPYRIGHTS file.
-URL: https://github.com/ropensci/git2r
+URL: https://docs.ropensci.org/git2r/ (website),
+        https://github.com/ropensci/git2r
 BugReports: https://github.com/ropensci/git2r/issues
 Maintainer: Stefan Widgren <stefan.widgren@gmail.com>
 Author: See AUTHORS file.
@@ -33,7 +34,7 @@
         'signature.R' 'stash.R' 'status.R' 'tag.R' 'time.R' 'tree.R'
         'when.R'
 Encoding: UTF-8
-RoxygenNote: 6.1.1
-Packaged: 2019-06-29 21:17:13 UTC; stefan
+RoxygenNote: 7.1.1
+Packaged: 2021-01-05 09:53:11 UTC; stefan
 Repository: CRAN
-Date/Publication: 2019-06-29 22:50:26 UTC
+Date/Publication: 2021-01-10 17:50:02 UTC

=== debian/changelog ===
r-cran-git2r (0.28.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit (from
    ./configure), Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 21:56:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libssl-dev,
                libssh2-1-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
 Homepage: https://cran.r-project.org/package=git2r

## r-cran-git2r 0.29.0

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
     implementation of the 'Git' core methods. Provides access to 'Git'
     repositories to extract data and running some basic 'Git'
     commands.
-Version: 0.28.0
+Version: 0.29.0
 License: GPL-2
 Copyright: See COPYRIGHTS file.
 URL: https://docs.ropensci.org/git2r/ (website),
@@ -16,7 +16,6 @@
 Depends: R (>= 3.1)
 Suggests: getPass
 Type: Package
-LazyData: true
 Biarch: true
 NeedsCompilation: yes
 SystemRequirements: By default, git2r uses a system installation of the
@@ -34,7 +33,7 @@
         'signature.R' 'stash.R' 'status.R' 'tag.R' 'time.R' 'tree.R'
         'when.R'
 Encoding: UTF-8
-RoxygenNote: 7.1.1
-Packaged: 2021-01-05 09:53:11 UTC; stefan
+RoxygenNote: 7.1.2
+Packaged: 2021-11-18 22:18:17 UTC; stefan
 Repository: CRAN
-Date/Publication: 2021-01-10 17:50:02 UTC
+Date/Publication: 2021-11-22 07:30:03 UTC

=== debian/changelog ===
r-cran-git2r (0.29.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.29.0
  * Run cme;

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Nov 2021 18:02:31 +0530

r-cran-git2r (0.28.0-2) unstable; urgency=medium

  * Team Upload.
  * d/rules: create empty config.rpath to fix
    FTBFS with autoconf (Closes: #997699)
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 29 Oct 2021 18:19:30 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libssl-dev,
                libssh2-1-dev,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
 Homepage: https://cran.r-project.org/package=git2r

## r-cran-git2r 0.30.1

=== debian/changelog ===
r-cran-git2r (0.30.1-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Drop src/libgit2/src/fnmatch* from copyright since it is removed
    upstream

 -- Andreas Tille <tille@debian.org>  Wed, 30 Mar 2022 12:09:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-git2r
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
+Homepage: https://cran.r-project.org/package=git2r
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libssl-dev,
                libssh2-1-dev,
                zlib1g-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
-Homepage: https://cran.r-project.org/package=git2r
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-git2r
 Architecture: any

## r-cran-git2r 0.31.0+dfsg

=== debian/changelog ===
r-cran-git2r (0.31.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Builds more smoothly with Debian packaged libgit2
    (see https://github.com/ropensci/git2r/issues/445)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 09:23:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
 Homepage: https://cran.r-project.org/package=git2r
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               libgit2-dev,
                libssl-dev,
                libssh2-1-dev,
                zlib1g-dev

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_before_dh_autoreconf:
	: > tools/config.rpath

## r-cran-git2r 0.32.0+dfsg

=== debian/changelog ===
r-cran-git2r (0.32.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 21 Jun 2023 16:30:58 +0200

## r-cran-git2r 0.33.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
     implementation of the 'Git' core methods. Provides access to 'Git'
     repositories to extract data and running some basic 'Git'
     commands.
-Version: 0.29.0
+Version: 0.33.0
 License: GPL-2
 Copyright: See COPYRIGHTS file.
 URL: https://docs.ropensci.org/git2r/ (website),
@@ -13,7 +13,7 @@
 Maintainer: Stefan Widgren <stefan.widgren@gmail.com>
 Author: See AUTHORS file.
 Imports: graphics, utils
-Depends: R (>= 3.1)
+Depends: R (>= 4.0)
 Suggests: getPass
 Type: Package
 Biarch: true
@@ -33,7 +33,7 @@
         'signature.R' 'stash.R' 'status.R' 'tag.R' 'time.R' 'tree.R'
         'when.R'
 Encoding: UTF-8
-RoxygenNote: 7.1.2
-Packaged: 2021-11-18 22:18:17 UTC; stefan
+RoxygenNote: 7.2.3
+Packaged: 2023-11-26 16:10:10 UTC; stefan
 Repository: CRAN
-Date/Publication: 2021-11-22 07:30:03 UTC
+Date/Publication: 2023-11-26 16:50:05 UTC

=== debian/changelog ===
r-cran-git2r (0.33.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 18:54:40 +0100

r-cran-git2r (0.32.0+dfsg-2) unstable; urgency=medium

  * Keep backup of tools/config.rpath to fix clean target
    Closes: #1047708

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 09:24:42 +0200

## r-cran-git2r 0.35.0

=== DESCRIPTION ===
Type: Package
Package: git2r
Title: Provides Access to Git Repositories
Authors@R: c(person("Stefan", "Widgren", role = c("aut", "cre"),
                    email = "stefan.widgren@gmail.com",
                    comment = c(ORCID = "0000-0001-5745-2284")),
             person("Gabor", "Csardi", role = "ctb"),
             person("Gregory", "Jefferis", role = "ctb"),
             person("Jennifer", "Bryan", role = "ctb"),
             person("Jeroen", "Ooms", role = "ctb"),
             person("Jim", "Hester", role = "ctb"),
             person("John", "Blischak", role = "ctb"),
             person("Karthik", "Ram", role = "ctb"),
             person("Peter", "Carbonetto", role = "ctb"),
             person("Scott", "Chamberlain", role = "ctb"),
             person("Thomas", "Rosendal", role = "ctb"))
Description: Interface to the 'libgit2' library, which is a pure C
    implementation of the 'Git' core methods. Provides access to 'Git'
    repositories to extract data and running some basic 'Git'
    commands.
Version: 0.35.0
License: GPL-2
URL: https://docs.ropensci.org/git2r/,
        https://github.com/ropensci/git2r
BugReports: https://github.com/ropensci/git2r/issues
Imports: graphics, utils
Depends: R (>= 4.0)
Suggests: getPass
NeedsCompilation: yes
SystemRequirements: libgit2 (>= 1.0): libgit2-devel (rpm) or
        libgit2-dev (deb)
Collate: 'blame.R' 'blob.R' 'branch.R' 'bundle_r_package.R'
        'checkout.R' 'commit.R' 'config.R' 'contributions.R'
        'credential.R' 'diff.R' 'fetch.R' 'git2r.R' 'index.R'
        'libgit2.R' 'merge.R' 'note.R' 'odb.R' 'plot.R' 'pull.R'
        'punch_card.R' 'push.R' 'reference.R' 'reflog.R' 'refspec.R'
        'remote.R' 'repository.R' 'reset.R' 'revparse.R' 'sha.R'
        'signature.R' 'stash.R' 'status.R' 'tag.R' 'time.R' 'tree.R'
        'when.R'
Encoding: UTF-8
RoxygenNote: 7.3.2
Packaged: 2024-10-20 07:43:12 UTC; stefan
Author: Stefan Widgren [aut, cre] (<https://orcid.org/0000-0001-5745-2284>),
  Gabor Csardi [ctb],
  Gregory Jefferis [ctb],
  Jennifer Bryan [ctb],
  Jeroen Ooms [ctb],
  Jim Hester [ctb],
  John Blischak [ctb],
  Karthik Ram [ctb],
  Peter Carbonetto [ctb],
  Scott Chamberlain [ctb],
  Thomas Rosendal [ctb]
Maintainer: Stefan Widgren <stefan.widgren@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-20 23:00:02 UTC

=== debian/changelog ===
r-cran-git2r (0.35.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 28 Oct 2024 14:34:51 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
 Homepage: https://cran.r-project.org/package=git2r
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_before_dh_auto_clean:
	if [ -e tools/config.rpath~ ] ; then mv tools/config.rpath~ tools/config.rpath ; fi

execute_before_dh_autoreconf:
	mv tools/config.rpath tools/config.rpath~
	touch tools/config.rpath

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://cran.r-project.org/src/contrib/git2r_([-\d.]*)\.tar\.gz

## r-cran-git2r 0.36.2

=== DESCRIPTION ===
--- 
+++ 
@@ -18,7 +18,7 @@
     implementation of the 'Git' core methods. Provides access to 'Git'
     repositories to extract data and running some basic 'Git'
     commands.
-Version: 0.35.0
+Version: 0.36.2
 License: GPL-2
 URL: https://docs.ropensci.org/git2r/,
         https://github.com/ropensci/git2r
@@ -27,8 +27,8 @@
 Depends: R (>= 4.0)
 Suggests: getPass
 NeedsCompilation: yes
-SystemRequirements: libgit2 (>= 1.0): libgit2-devel (rpm) or
-        libgit2-dev (deb)
+SystemRequirements: libgit2 (>= 1.0) and its dependencies libssh2 and
+        openssl header and libraries.
 Collate: 'blame.R' 'blob.R' 'branch.R' 'bundle_r_package.R'
         'checkout.R' 'commit.R' 'config.R' 'contributions.R'
         'credential.R' 'diff.R' 'fetch.R' 'git2r.R' 'index.R'
@@ -39,7 +39,7 @@
         'when.R'
 Encoding: UTF-8
 RoxygenNote: 7.3.2
-Packaged: 2024-10-20 07:43:12 UTC; stefan
+Packaged: 2025-03-29 09:17:55 UTC; stefan
 Author: Stefan Widgren [aut, cre] (<https://orcid.org/0000-0001-5745-2284>),
   Gabor Csardi [ctb],
   Gregory Jefferis [ctb],
@@ -53,4 +53,4 @@
   Thomas Rosendal [ctb]
 Maintainer: Stefan Widgren <stefan.widgren@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-10-20 23:00:02 UTC
+Date/Publication: 2025-03-29 10:00:02 UTC

=== debian/changelog ===
r-cran-git2r (0.36.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 11:17:18 +0900

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: r-cran-git2r
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
-Homepage: https://cran.r-project.org/package=git2r
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libgit2-dev,
                libssl-dev,
                libssh2-1-dev,
-               zlib1g-dev
-Testsuite: autopkgtest-pkg-r
+               zlib1g-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-git2r
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-git2r.git
+Homepage: https://cran.r-project.org/package=git2r
+Rules-Requires-Root: no
 
 Package: r-cran-git2r
 Architecture: any
